/* eslint no-unused-vars: 1 */

export default class AbstractConfiguratorService {
    static serviceName = 'ConfiguratorService';

    prepareConfigurationForSave(overwrite = false, extraData) {}

    //// <-- ACTIONS -->

    saveConfiguration(configuration, configurationtype) {}

    captureAndSaveConfiguration(saveType, extraData = {}) {}

    validateConfiguration() {}
}
